<div class="login-clean">
    <form #formLogin="ngForm">
        <h2 class="sr-only">Login Form</h2>
        <div class="illustration">
            <h1 routerLink="/">FakeVideos
            </h1>
            <i class="icon ion-ios-navigate"></i>
        </div>
        <div class="form-group">
            <input placeholder="Nombre(s)" [(ngModel)]="newUser.nombres" style="width: 100%;" type="text" name="nombre"
                required pInputText>
        </div>
        <div class="form-group">
            <input placeholder="Apellidos" [(ngModel)]="newUser.apellidos" style="width: 100%;" type="text"
                name="apellidos" required pInputText>
        </div>
        <div class="form-group">
            <input placeholder="Email" [(ngModel)]="newUser.email" style="width: 100%;" type="email" name="email"
                required pInputText>
        </div>
        <div class="form-group">
            <input placeholder="Contraseña" [(ngModel)]="pwd" style="width: 100%;" type="password" name="pdw"
                required pPassword promptLabel="Ingrese una Contraseña" weakLabel="Débil"
                mediumLabel="Medio" strongLabel="Fuerte">
        </div>
        <div class="form-group">
            <input placeholder="Confirmar contraseña" [(ngModel)]="confirmPwd" style="width: 100%;" type="password" name="confirmPwd" required  pInputText>
        </div>
        <div style="color: red; text-align: center;" *ngIf="pwd !== confirmPwd">
            Las contraseñas no coinciden.
          </div>
        <div class="form-group">
            <re-captcha [(ngModel)]="formModel.captcha" name="captcha" required  #captchaControl="ngModel" siteKey={{key}}></re-captcha>
        </div>
        <div class="form-group">
            <button class="btn btn-primary btn-block" type="button" [disabled]="!formLogin.form.valid || pwd !== confirmPwd"
                id="btn_registrar" (click)="registrar(newUser.email,pwd,newUser)">Registrarse</button>
        </div>

    </form>
</div>